> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://contentful.com/developers/docs/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://contentful.com/_mcp/server. # Get a content type GET https://api.contentful.com/spaces/{space_id}/environments/{environment_id}/content_types/{content_type_id} Reference: https://contentful.com/developers/docs/references/content-management-api/content-types/get-a-content-type ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Request ### Path parameters - `space_id` (string, required) — ID of the Space in form of a string - `environment_id` (string, required) — ID of the environment in form of a string - `content_type_id` (string, required) — ID of the Content Type in form of a string ## Response ### 200 OK - Request successful - `map from string to any` ## Examples **Response** ```json { "sys": { "createdAt": "2025-02-23T18:12:53.000Z", "createdBy": { "sys": { "id": "7BslKh9TdKGOK41VmLDjFZ", "linkType": "User", "type": "Link" } }, "environment": { "sys": { "id": "staging", "linkType": "Environment", "type": "Link" } }, "id": "3ORKIAOaJqQWWg86MWkyOs", "space": { "sys": { "id": "yadj1kx9rmg0", "linkType": "Space", "type": "Link" } }, "type": "ContentType", "updatedAt": "2025-02-23T18:12:53.000Z", "updatedBy": { "sys": { "id": "4FLrUHftHW3v2BLi9fzfjU", "linkType": "User", "type": "Link" } }, "version": 1 } } ``` **SDK Code** ```android Android // Create the Contentful client. final CMAClient client = new CMAClient .Builder() .setAccessToken("") .setSpaceId("") .setEnvironmentId("") .build(); client .contentTypes() .async() .fetchOne( "", new CMACallback() { @Override protected void onSuccess(CMAContentType result) { // Found your content type in `contentType` callback parameter. new AlertDialog.Builder(context) .setTitle("Contentful") .setMessage("Fetching of a content type was successful." + "\n\nResult: " + result) .show(); } @Override protected void onFailure(RuntimeException exception) { // An error occurred! Inform the user. new AlertDialog.Builder(context) .setTitle("Contentful Error") .setMessage("Could not fetch a content type." + "\n\nReason: " + exception.toString()) .show(); super.onFailure(exception); } } ); ``` ```java Java // Create the Contentful client. final CMAClient client = new CMAClient .Builder() .setAccessToken("") .setSpaceId("") .setEnvironmentId("") .build(); final CMAContentType contentType = client .contentTypes() .fetchOne(""); ``` ```kotlin Kotlin // Create the Contentful client. val client = CMAClient.Builder() .setAccessToken("") .setSpaceId("") .setEnvironmentId("") .build() val contentType = client .contentTypes() .fetchOne("") ``` ```swift Swift We currently don't provide a CMA SDK for this platform. ``` ```js-legacy JavaScript (legacy) import { createClient } from 'contentful-management' const client = createClient({ accessToken: '' }, { type: 'legacy' }) client.getSpace('') .then((space) => space.getEnvironment('')) .then((environment) => environment.getContentType('')) .then((contentType) => console.log(contentType)) .catch(console.error) ``` ```javascript JavaScript import { createClient } from 'contentful-management' // Client init const client = createClient({ accessToken: '' }) await client.contentType.get({ spaceId: '', environmentId: '', contentTypeId: '', }); ``` ```php PHP $client = new \Contentful\Management\Client(''); $environment = $client->getEnvironmentProxy('', ''); $contentType = $environment->getContentType(''); ``` ```ruby Ruby require 'contentful/management' client = Contentful::Management::Client.new('') content_type = client.content_types('', '').find('') ``` ```python Python from contentful_management import Client client = Client('') content_type = client.content_types('', '').find('') ``` ```.net .NET // This client should only be created once per application. var httpClient = new HttpClient(); var client = new ContentfulManagementClient(httpClient, "", ""); var contentType = await client.GetContentType(""); ```